angular.module('noc.components').component('nocPolicy', {
    templateUrl: 'assets/templates/components/policy-template.html',
    bindings: {
        shownPolicy: '=shownPolicy',
        selectedPolicy: '=selectedPolicy',
        selectPolicy: '&'
    },
    controller: function () {
        this.policyTooltip = () => {
            const policy = this.shownPolicy;
            if (policy) {
                return policy.isSupported ? (policy._policyInfo.displayName) : policy.reason;
            } else return '';
        };
    },
    controllerAs: 'ctrlPolicy'
});
