angular.module('noc').component('portalSetupProxyComponent', {
    bindings: {
        setupFunction: '&',
        errorMessage: '<',
        detectingConnectivity: '<'
    },
    controller: function controller(nocUIMain) {
        this.$onInit = () => {
            this.proxyShowAuthenticationData = false;
        };

        this.expandProxyAuthenticationData = () => {
            this.proxyShowAuthenticationData = !this.proxyShowAuthenticationData;
        };

        this.submitForm = () => {
            if (this.proxyForm.$valid) {
                this.setupFunction({
                    uri: this.url,
                    username: this.proxyUsername,
                    password: this.proxyPassword,
                    domain: this.proxyDomain
                });
            } else {
                nocUIMain.handleFormValidity();
            }
        };
    },
    templateUrl: 'assets/templates/components/portal-setup-proxy-component.html'
});
