((() => {
    'use strict';

    angular.module('noc').controller('FeedbackController', ($scope, nocDialog, $log, $rootScope) => {
        $scope.feedback = () => {
            $log.log('User clicked "send us feedback!"');

            nocDialog.dialog('We would love to hear your feedback', 'assets/templates/dialogs/feedback.html', {
                width: 650,
                awsReviewUrl: $rootScope.externalConfig.aws_product_page || 'https://aws.amazon.com/marketplace/pp/B018REK8QG',
                azureReviewUrl: 'https://azuremarketplace.microsoft.com/en-us/marketplace/apps/netapp.netapp-oncommand-cloud-manager?tab=Overview',
                emailAddress: $rootScope.externalConfig.email || 'ng-cloudmanager-feedback@netapp.com'
            });
        };
    });
})());
