(function () {
    "use strict";
    angular.module("noc").controller("TenantsController", function ($scope,nocTenantsService) {
        $scope.editTenant = function (tenant) {
            $scope.checkAndSetState('^.edit', {tenantId: tenant.publicId});
        };

        $scope.newTenant = function () {
            $scope.checkAndSetState('^.new');
        };

        $scope.backToGallery = function (tenantId) {
            $scope.checkAndSetState('^.index', tenantId ? {slTenantId: tenantId } : undefined);
        };

        $scope.setTenants = function(tenants){
            $scope.tenants = tenants;
        };

        $scope.deleteTenant = function(tenant){
            $scope.tenants = _.without($scope.tenants, tenant);
            nocTenantsService.reloadTenants();
        };
    });
}());
