angular.module("noc.components").controller('setOffboxTargetController', function($scope, nocDialog, nocHttp) {
    'use strict';

    $scope.setOffboxTarget = function(){
        var url = $scope.selectedWorkingEnvironment._pathPrefix + 'working-environments/' + $scope.selectedWorkingEnvironment.publicId + '/offbox';

        nocHttp.put(url, 'setting backup target', nocHttp.BLOCK)
        .then(function () {
            $scope.selectedWorkingEnvironment.ontapClusterProperties.offboxTarget = true;
        });
    };

    $scope.click = function () {
        nocDialog.confirm("Would you like to set this instance of Cloud Manager as this working environment's backup target?")
            .then($scope.setOffboxTarget);
    };
});