(function () {
    "use strict";

    angular.module("noc").controller("SnapMirrorSchedulesController", function ($scope, nocHttp, BaseVirginStep, nocSchedulesService, Constants) {
        BaseVirginStep.call($scope);

        $scope.$on("$destroy", function () {
            $scope.wizardController.selectedSchedule = null;
        });

        nocSchedulesService.getSchedules(nocHttp, $scope.wizardController.targetWorkingEnvironment.publicId)
            .then(function (schedules) {
                $scope.schedules = schedules;
            });
        //Add special one-time-copy schedule
        $scope.oneTimeSchedule = {name: Constants.emptyReplicationScheduleDescription, description: "No schedule"};
    });
}());