const lazypipe = require('lazypipe');
const gulp = require('gulp');
const flatten = require('gulp-flatten');
const Task = require('../task');

module.exports = new Task(
    'fonts',
    ['bower_components/font-awesome/**/*.{eot,svg,ttf,woff,woff2}','bower_components/angular-ui-grid/**/*.{eot,svg,ttf,woff}','app/fonts/*'],
    false,
    lazypipe()
        .pipe(flatten)
        .pipe(gulp.dest,'./dist/assets/fonts'),
    ['bower']
);
