describe.skip("noc ng-include spec", function () {
    "use strict";
    var j;    beforeEach(() => {        j = magnifispec.setup();    });
    var templateHtmlWithAutoFocus = "<div><input id='non-auto' type='text'><input id='auto' type='text' autofocus></div>",
        templateHtmlWithoutAutoFocus = "<div><input id='non-auto' type='text'><input id='auto' type='text'></div>";
    var body = $('body');
    var content, scope;

    beforeEach(function () {
        body.empty();
        content = j.$compile("<div><input id='decoy' noc-focus-when='true'/><ng-include src=\"'assets/templateUrl'\"></ng-include></div>");
        scope = j.$rootScope.$new();
    });

    describe("autofocus", function () {
        beforeEach(function () {
            j.$templateCache.put('assets/templateUrl', templateHtmlWithAutoFocus);
            var compiledContent = content(scope);
            body.append(compiledContent);
            scope.$digest();
        });

        it("should autofocus the first loaded field with the autofocus attribute", function () {
            expect($('input').length).toEqual(3);
            expect(j.$document[0].activeElement.id).toEqual('auto');
        });
    });

    describe("non autofocus", function () {
        beforeEach(function () {
            j.$templateCache.put('assets/templateUrl', templateHtmlWithoutAutoFocus);
            var compiledContent = content(scope);
            body.append(compiledContent);
            scope.$digest();
            j.$timeout.flush();
        });

        it("should not steal focus if the template does not fields with autofocus defined", function () {
            expect($('input').length).toEqual(3);
            expect(j.$document[0].activeElement.id).toEqual('decoy');
        });
    });
});