describe("Encryption Controller", function () {
    "use strict";
    var j;    beforeEach(() => {        j = magnifispec.setup();    });

    beforeEach(function () {
        magnifispec.mockDialogController("EncryptionController");
    });

    describe("switchView", function () {
        beforeEach(function () {
            j.scope.showKeyManagerView = false;
        });

        it("should switch views", function () {
            jest.spyOn(j.nocLocalStorage.ENCRYPTION_VIEW, "save").mockImplementation(() => {});
            j.scope.switchView();

            expect(j.scope.showKeyManagerView).toBeTruthy();
            expect(j.nocLocalStorage.ENCRYPTION_VIEW.save).toHaveBeenCalled();

            j.scope.switchView();

            expect(j.scope.showKeyManagerView).toBeFalsy();
        });
    });

    describe("selectCertificateText", function () {
        it("should select what it should", function () {
            jest.spyOn($.fn, "select").mockImplementation(() => {});
            j.scope.selectCertificateText();
            expect($("textarea.show-certificate").select).toHaveBeenCalled();
        });
    });
});