angular.module("noc.components").directive('nocDialogX', function ($interval, $compile) {
    "use strict";

    return {
        restrict: 'E',
        link: function(scope, element) {
            var button = $compile('<button class="transparent dialog-x" ng-click="modalCancel()"><noc-icon name="close-search" noc-size="small"></button>')(scope);

            var cancelInterval = $interval(function () {
                var dialog = element.parents('.dialog-container');
                if (dialog.length !== 0) {
                    $interval.cancel(cancelInterval);
                    dialog.prepend(button);
                    button.css('position', 'absolute');
                    button.css('top', 12);
                    button.css('right', 12);
                    button.css('z-index', 2002);
                    button.css('color', '@disabledGrey');
                }
            });

        }
    };
});
