(function () {
    "use strict";
    angular.module("noc.components").directive('nocFocus', function ($timeout) {
        return {
            restrict: 'A',
            link: function (scope, element) {
                $timeout(function () {
                    element.focus();
                });
            }
        };
    });

    angular.module("noc.components").directive('nocFocusWhen', function ($parse, $timeout) {
        return {
            restrict: 'A',
            link: function (scope, element, attributes) {
                var model = $parse(attributes.nocFocusWhen);
                scope.$watch(model, function (value) {
                    if (value) {
                        $timeout(function () {
                            element.focus();
                        });
                    }
                });
            }
        };
    });
})();