angular.module("noc.components").directive('nocIsTruncated', function () {
    "use strict";

    return {
        restrict:'A',
        scope: {
            nocIsTruncated: "=nocIsTruncated"
        },
        link: function (scope, elem) {
            if (!scope.nocIsTruncated) return;
            scope.$watch('filteredErrors', function() {
                var actualSpaceForMessage = elem.width() - elem.find('i.icon').outerWidth(true) - elem.find('i.dismiss').outerWidth(true);
                elem.css('overflow','visible');
                elem.toggleClass("is-truncated", elem.find('.text').width() > actualSpaceForMessage);
                elem.css('overflow','hidden');
            });
        }
    };
});