(() => {
    'use strict';
    angular.module('noc.components').directive('ngInclude', () => {
        return {
            link: ($scope, element) => {
                const off = $scope.$on('$includeContentLoaded', () => {
                    const firstAutoFocusedChild = element.find('[autofocus]');
                    if (firstAutoFocusedChild.length) {
                        firstAutoFocusedChild.focus();
                    }
                    off();
                });
            }
        };
    });
})();
