(function () {
    "use strict";

    angular.module("noc").controller("ReplicationStatusTabController", function ($scope, replicationResource, $timeout, nocSelectedWorkspaceOrTenantService) {
        var replicationStatusPollerStopper = _.noop;

        $scope.initializeController = function () {
            $timeout(function () {
                replicationStatusPollerStopper = replicationResource.startReplicationStatusAllPolling(nocSelectedWorkspaceOrTenantService.getPublicId());
            }, 500);
        };

        $scope.initializeController();

        $scope.$on("$destroy", function(){
            replicationStatusPollerStopper();
        });
    });
}());