(function(){
    "use strict";

    angular.module("noc").controller("ChangePasswordController", function($scope, nocHttp, nocUI){
        $scope.changePassword = {};

        $scope.isChangePasswordValid = function(){
            return $scope.changePasswordForm.$valid;
        };

        $scope.save = function(){
            if(!$scope.isChangePasswordValid()){
                nocUI.handleFormValidity();
            }else{
                nocHttp.put({url:"/auth/current-user/change-password", data:$scope.changePassword},
                    "changing password",
                    nocHttp.BLOCK)
                    .then($scope.closeDialog);
            }
        };

        $scope.cancel = function(){
            $scope.closeDialog();
        };
    });
}());
