(() => {
    'use strict';

    angular.module('noc').controller('TenantsMenuController', ($rootScope, $scope, $timeout, nocSelectedWorkspaceOrTenantService, nocTenantsService,
                                                               nocWorkspacesService, workingEnvironmentResource, nocHttp) => {

        $scope.initialize = () => {
            if (!$scope.isAgent) {
                nocTenantsService.reloadTenants();
                $scope.list = nocTenantsService.getTenants();
            } else {
                nocWorkspacesService.reloadWorkspaces();
                $scope.list = nocWorkspacesService.getWorkspaces();
            }
        };

        $scope.changeSelected = (newChoice) => {
            if ($scope.selected.selectedTenantWS._name === newChoice._name) {
                $timeout(() => {
                    $rootScope.generalSlaughter();
                    workingEnvironmentResource.getWorkingEnvironments(nocHttp, nocSelectedWorkspaceOrTenantService.getPublicId(), 'status', false);
                });

                return;
            }
            nocSelectedWorkspaceOrTenantService.setSelected(newChoice);
            $scope.selected.selectedTenantWS = newChoice;

            $rootScope.checkAndSetState('main.working-environments.index', {slTenantId: nocSelectedWorkspaceOrTenantService.getPublicId()});
        };

        $scope.initialize();
    });
})();
