(function () {
    'use strict';

    angular.module('noc').controller('CloudSyncRegistrationExistingAccountStepController', function ($scope, BaseVirginStep,
                                                                                                     nocHttp, nocCloudSyncService, nocUI) {
        /*istanbul ignore next: trivial*/
        $scope.initialize = function initialize() {
            BaseVirginStep.call($scope);
            $scope.loginDetails = {};
        };

        $scope.next = function next() {
            if ($scope.isValid()) {
                nocCloudSyncService.login(nocHttp, $scope.wizardController.userId, $scope.loginDetails)
                    .then(function () {
                        $scope.wizardController.moveToCloudSyncActivationWizard();
                    });
            } else {
                nocUI.handleErrorsInWizard(true);
            }
        };

        $scope.initialize();
    });
}());
