(() => {
    'use strict';

    angular.module('noc').filter('actionRequiredCanShowIfOff', () => {
        return (actionsRequired, status) => {
            if (status === 'on') {
                return actionsRequired;
            } else {
                return _.filter(actionsRequired, (actionRequired) => {
                    return actionRequired.actionType === 'licenseGracePeriod' || actionRequired.actionType === 'licenseExpirationWarning' || actionRequired.actionType === 'licenseWasSuspended';
                });
            }
        };
    });
})();
