(() => {
    'use strict';

    angular.module('noc').factory('OCCMResource', () => {
        const resource = {};

        resource.validateConnectivity = (nocHttp) => {
            return nocHttp.post('/occm/setup/validate/connectivity', 'validating connectivity', nocHttp.BLOCK);
        };

        resource.validatePortalConnectivity = (nocHttp) => {
            return nocHttp.post('/occm/setup-portal/validate/connectivity', 'validating connectivity');
        };

        return resource;
    });
})();
