var lazypipe = require('lazypipe');
var gulp = require('gulp');
var program = require('../program');
var gulpif = require('gulp-if');
var replace = require('gulp-replace');
var Task = require('../task');

module.exports = new Task(
    'vendor',
    'bower_components/**/*',
    true,
    lazypipe()
        .pipe(function(){
            return gulpif(program.isProd, gulpif('**/select2.css',replace(/'([^.]+\.png)'/g, "'../images/$1'")));
        })
        .pipe(function() {
            return gulpif(program.isProd, gulpif('**/ui-grid.css',replace(/'([\S]+\.woff)'/g, "'../fonts/$1'")));
        })
        .pipe(gulp.dest,'./dist/assets/vendor'),
    ['bower']
);
