describe('statusRequestPoller should', () => {
    var j;
    beforeEach(() => {
        j = magnifispec.setup();
    });

    it('log error when fail to get audit from server', inject((statusRequestPoller,$httpBackend,$log) => {
        jest.spyOn($log,'error').mockImplementation(() => {});
        $httpBackend.expectGET(/audit/).respond(500, 'boom');

        statusRequestPoller.pollOnRequestStatus(0, {method:'GET', url:'http://someurl'}, Date.now());
        $httpBackend.flush();
        expect($log.error.mock.calls[0][0]).toMatch(/.*poller.*500.*/);
    }));
});