describe('Cost Controller', () => {
    var j;    beforeEach(() => {        j = magnifispec.setup();    });

    const workingEnvironment = {publicId: '1', name: 'we1'};

    beforeEach(() => {
        jest.spyOn(j.workingEnvironmentResource, 'getCost').mockReturnValue('costResponse');
        jest.spyOn(j.workingEnvironmentResource, 'getSavings').mockReturnValue('savingsResponse');
        magnifispec.mockTabsController('CostController', {}, {
            selectedWorkingEnvironment: workingEnvironment,
            updateSelectedWorkingEnvironment: j.$q.when
        });
        magnifispec.processPromise();
    });

    it('should handle retrieving costResponse successfully', () => {
        expect(j.scope.costAndSavingsResponse).toEqual({workingEnvironment, costResponse: 'costResponse', savingsResponse: 'savingsResponse'});
        expect(j.nocUI.unloading).toHaveBeenCalled();
    });
});
